%define _buildid .6

%global py26nvr python26-markupsafe-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-markupsafe-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name MarkupSafe

Name: python-markupsafe
Version: 0.11
Release: 4%{?_buildid}%{?dist}
Summary: Implements a XML/HTML/XHTML Markup safe string for Python
Group: Development/Languages
License: BSD
URL: http://pypi.python.org/pypi/MarkupSafe
Source0: http://pypi.python.org/packages/source/M/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
A library for safe markup escaping.

%package -n python26-markupsafe
Summary: Implements a XML/HTML/XHTML Markup safe string for Python
BuildRequires: python26-devel
BuildRequires: python26-setuptools
Provides: python-markupsafe = %{version}-%{release}
Provides: python-markupsafe%{?_isa} = %{version}-%{release}
Obsoletes: python-markupsafe <= 0.11-4.1.amzn1

%description -n python26-markupsafe
A library for safe markup escaping.

This package is meant to be used with Python 2.6.

%package -n python27-markupsafe
Summary: Implements a XML/HTML/XHTML Markup safe string for Python
BuildRequires: python27-devel
BuildRequires: python27-setuptools

%description -n python27-markupsafe
A library for safe markup escaping.

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
# C code errantly gets installed
rm %{buildroot}%{python26_sitearch}/markupsafe/*.c

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
# C code errantly gets installed
rm %{buildroot}%{python27_sitearch}/markupsafe/*.c

%check
%if %{with tests}
pushd %{py26builddir}
%{__python26} setup.py test
popd
pushd %{py27builddir}
%{__python27} setup.py test
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-markupsafe
%doc AUTHORS LICENSE README.rst
%{python26_sitearch}/*

%files -n python27-markupsafe
%doc AUTHORS LICENSE README.rst
%{python27_sitearch}/*

%changelog
* Wed Feb 4 2015 Ben Cressey <bcressey@amazon.com>
- build for multiple pythons

* Wed Jan 9 2013 Lee Trager <ltrager@amazon.com>
- import source package F17/python-markupsafe-0.11-4.fc17

* Wed Jan 9 2013 ltrager <ltrager@amazon.com>
- setup complete for package python-markupsafe

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010 David Malcolm <dmalcolm@redhat.com> - 0.11-2
- rebuild for newer python3

* Thu Sep 30 2010 Luke Macken <lmacken@redhat.com> - 0.11-1
- Update to 0.11

* Wed Aug 25 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.9.2-5
- rebuild with python3.2
  http://lists.fedoraproject.org/pipermail/devel/2010-August/141368.html

* Fri Jul 23 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 24 2010 Kyle VanderBeek <kylev@kylev.com> - 0.9.2-3
- Fix missing setuptools BuildRequires.

* Thu Jun 24 2010 Kyle VanderBeek <kylev@kylev.com> - 0.9.2-2
- Fixed sitearch and python3 definitions to work better with older Fedora/RHEL.

* Wed Jun 23 2010 Kyle VanderBeek <kylev@kylev.com> - 0.9.2-1
- Initial version.
